RK-J - Feature #3061
Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Backend requirements
06/08/2023 01:46 AM - Ram Kordale

Status: Closed Start date: 06/07/2023
Priority: Normal Due date: 07/03/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 18.50 hours
Description

[No need for a java library to access OpenAl. Using the https endpoint is sufficient.]

Let the api do the following:
if (api key is present) make call to openai and return the response
else send 512 words of Lorem ipsum content

In the settings page, allow to set the api key. Encrypt the key and store in the datastore. While using, decrypt and use in the call.

Subtasks:

Task # 3060:
Task # 3063:
Task # 3064:
Task # 3066:
Task # 3074:
Task # 3084:
Task # 3105:

BE-0.92.20: Enable API for the openAl answers.

BE-0.92.20: Add OpenAl Config settings.

BE-0.92.20: Add support to the getPurpleLinksinfoExtFull API.

BE-0.92.20: Fetch the KEY from the datastore for the OpenAl Answer.
BE-0.92.20: Allow caching to the OpenAl encrypted secret key.

BE-v0.93: Add the backend support for the version 0.93 in the getPurpleLin...
BE-v0.93: Log the openai call details in the GCP using url present in the ...

Closed
Closed
Closed
Rejected
Closed
Closed
Closed

History

#1 - 06/08/2023 02:00 AM - Ram Kordale

- Description updated

#2 - 06/09/2023 03:12 PM - Ayush Khandelwal

- Status changed from New to Resolved

Working as expected

#3 - 06/09/2023 03:12 PM - Ayush Khandelwal

- Status changed from Resolved to Feedback

#4 - 06/15/2023 03:23 AM - Ayush Khandelwal

API ENDPOINT URL: http://edutestqga.appspot.com/admin/content/api/v1/answer
Method: "POST"

Request Body: (application/json) {
"searchTerm": "Once upon a time"

}

If api is enabled & the key is present, then it will give the response from openai. If not then it will return 512 words lorem ipsum.

#5 - 07/06/2023 05:40 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#6 - 07/13/2023 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed
